import { Dimensions } from '../interfaces';
import { CropperSettings } from '../interfaces/cropper.settings';
import { ExifTransform } from '../interfaces/exif-transform.interface';
export interface LoadedImage {
    original: {
        base64: string;
        image: HTMLImageElement;
        size: Dimensions;
    };
    transformed: {
        base64: string;
        image: HTMLImageElement;
        size: Dimensions;
    };
    exifTransform: ExifTransform;
}
export declare class LoadImageService {
    private autoRotateSupported;
    loadImageFile(file: File, cropperSettings: CropperSettings): Promise<LoadedImage>;
    private loadImage;
    private isValidImageType;
    loadImageFromURL(url: string, cropperSettings: CropperSettings): Promise<LoadedImage>;
    loadBase64Image(imageBase64: string, cropperSettings: CropperSettings): Promise<LoadedImage>;
    private transformImageBase64;
    transformLoadedImage(loadedImage: Partial<LoadedImage>, cropperSettings: CropperSettings): Promise<LoadedImage>;
    private loadImageFromBase64;
    private getTransformedSize;
}
